com.tibco.bpm.service.connector

## Class UserSettingsService

- java.lang.Object
- - com.tibco.bpm.service.connector.UserSettingsService

- All Implemented Interfaces:
    UserSettingsService

      public class UserSettingsService
      extends java.lang.Object
      implements UserSettingsService

  Provides access to the UserSettingsService interfaces.

  ©2011 TIBCO Software Inc.
  Since:
    1.2

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `deleteUserSettings(java.lang.String storageKey)` Deletes all the User Settings for the specified Storage key.
    `com.tibco.n2.de.api.usersettingsservice.XmlSettingProperty[]` | `getUserSettings(java.lang.String storageKey, java.lang.String settingId)` Returns the value of the User Setting identified by the given key and ID.
    `java.lang.String[]` | `listUserSettingIds(java.lang.String storageKey)` List the values of the User Settings grouped by the given key.
    `int` | `saveUserSettings(com.tibco.n2.de.api.usersettingsservice.XmlSaveUserSettingsDetail settings)` Saves the given collection of User Settings.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### deleteUserSettings

          public int deleteUserSettings(java.lang.String storageKey)
                                 throws com.tibco.n2.de.services.InternalServiceFault

      Description copied from interface: `UserSettingsService`
      Deletes all the User Settings for the specified Storage key.
      Specified by:
        `deleteUserSettings` in interface `UserSettingsService`
      Parameters:
        `storageKey` - The Storage Key identifiying the User Settings to be deleted.
      Returns:
        Not used
      Throws:
        `com.tibco.n2.de.services.InternalServiceFault`

    - #### getUserSettings

          public com.tibco.n2.de.api.usersettingsservice.XmlSettingProperty[] getUserSettings(java.lang.String storageKey,
                                                                                              java.lang.String settingId)
                                                                                       throws com.tibco.n2.de.services.InternalServiceFault

      Description copied from interface: `UserSettingsService`
      Returns the value of the User Setting identified by the given key and ID.
      Specified by:
        `getUserSettings` in interface `UserSettingsService`
      Parameters:
        `storageKey` - The Storage Key of the User Settings to be retrieved.
        `settingId` - The Setting Id of the User Setting to be retrieved.
      Returns:
        Returns a `List` of `XmlSettingProperty` structures.

        Each one contains the Name and Value for the User Setting.

      Throws:
        `com.tibco.n2.de.services.InternalServiceFault`

    - #### listUserSettingIds

          public java.lang.String[] listUserSettingIds(java.lang.String storageKey)
                                                throws com.tibco.n2.de.services.InternalServiceFault

      Description copied from interface: `UserSettingsService`
      List the values of the User Settings grouped by the given key.
      Specified by:
        `listUserSettingIds` in interface `UserSettingsService`
      Parameters:
        `storageKey` - The Storage Key
      Returns:
        Returns a `List` of Setting Ids
      Throws:
        `com.tibco.n2.de.services.InternalServiceFault`

    - #### saveUserSettings

          public int saveUserSettings(com.tibco.n2.de.api.usersettingsservice.XmlSaveUserSettingsDetail settings)
                               throws com.tibco.n2.de.services.InternalServiceFault

      Description copied from interface: `UserSettingsService`
      Saves the given collection of User Settings.
      Specified by:
        `saveUserSettings` in interface `UserSettingsService`
      Parameters:
        `settings` - A `XmlSaveUserSettingsDetail` document containing the User Setting to be saved.

        Each Save can contain multiple User Setting values for the specified Storage Key and Setting ID.

      Returns:
        Not Used
      Throws:
        `com.tibco.n2.de.services.InternalServiceFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.